[Rainmeter]
Author=Yus
Update=30
Background=Background.png

[Variables]
Yt=5

;Bar_Measures
[MeasurePercent]
Measure=Plugin
PlugIn=Plugins\PowerPlugin.dll
PowerState=Percent

[MeasurePercent.low]
Measure=Plugin
PlugIn=Plugins\PowerPlugin.dll
PowerState=Percent
IfAboveValue=0
IfAboveAction=!execute [!SetVariable BColor "255,0,0"][!SetVariable tlevel "низкий"][!DisableMeasure MeasureAlert]
IfBelowValue=10
IfBelowAction=[!EnableMeasure MeasureAlert]

[MeasurePercent.medium]
Measure=Plugin
PlugIn=Plugins\PowerPlugin.dll
PowerState=Percent
IfAboveValue=30
IfAboveAction=!execute [!SetVariable BColor "255,186,0"][!SetVariable tlevel "средний"]

[MeasurePercent.high]
Measure=Plugin
PlugIn=Plugins\PowerPlugin.dll
PowerState=Percent
IfAboveValue=52
IfAboveAction=!execute [!SetVariable BColor "0,114,255"][!SetVariable tlevel "высокий"]

[RefreshBat]
Measure=Time
Format=%S
IfEqualValue=59
IfEqualAction=[!Refresh]
;IconsMeasures
[Full_Icon_Show]
Measure=Plugin
PlugIn=Plugins\PowerPlugin.dll
PowerState=Percent
IfAboveValue=99
IfAboveAction=!execute [!ShowMeter Full_Icon]
IfBelowValue=100
IfBelowAction=!execute [!HideMeter Full_Icon]

[MeasureAlert]
Measure=Calc
Formula=Counter % 2
Disabled=1

;StringMeasures
[MeasureAC1]
Measure=Plugin
PlugIn=Plugins\PowerPlugin.dll
PowerState=ACLINE
IfAboveValue=0
IfAboveAction=!execute [!SetVariable tmode "зарядки"][!ShowMeter Charc_Icon]
IfBelowValue=1
IfBelowAction=!execute [!SetVariable tmode "батареи"][!HideMeter Charc_Icon]
;-------------------------------------------

[MoveM]
Measure=Calc
Formula=((Counter % 100)*4+(0-40))


[MeterAnim]
Meter=Image
ImageName=anim.png
DynamicVariables=1
Y=4
X=[MoveM]

;BarMeters
[BarMeter]
MeasureName=MeasurePercent
Meter=BAR
BarOrientation=Horizontal
BarColor=#BColor#
DynamicVariables=1
X=19
Y=23
W=222
H=23

[NAL]
Meter=Image
ImageName=nal.png
X=13
Y=23
;-------------------------------------------

;Strings
[textStyle]
FontFace=DeusEx
FontSize=7
FontColor=255,255,255,240
StringAlign=Right
AntiAlias=1

[MeterPercent]
Meter=STRING
MeasureName=MeasurePercent
X=156
Y=22
StringAlign=Right
StringStyle=bold
FontFace=Agency FB
FontColor=255, 255, 255, 200
FontSize=17
PostFix=%
AntiAlias=1
;text=100

[Label_Mode]
Meter=String
MeterStyle=textStyle
Text=режим:
X=63
Y=#Yt#

[Label_Level]
Meter=String
MeterStyle=textStyle
Text=уровень:
X=193
Y=#Yt#

[Txt_Mode]
Meter=STRING
MeterStyle=textStyle
StringAlign=Left
FontColor=0,205,255,250
Text=#tmode#
DynamicVariables=1
X=63
Y=#Yt#

[Txt_Level]
Meter=String
MeterStyle=textStyle
StringAlign=Left
FontColor=0,205,255,250
Text=#tlevel#
DynamicVariables=1
X=193
Y=#Yt#
;-------------------------------------------

;BateryIcons
[Alert_Icon]
Meter=Image
ImageName=ind\[MeasureAlert].png
DynamicVariables=1
X=70
Y=53
UpdateDivider=5

[Full_Icon]
Meter=Image
ImageName=2.png
X=112
Y=54
Hidden=1

[Charc_Icon]
Meter=Image
ImageName=3.png
X=151
Y=53
Hidden=1
;-------------------------------------------

[Grad]
Meter=Image
Imagename=Blik.png
X=0
Y=0